clist< T >::node Struct Reference

`#include <mia/mesh/clist.hh>`

Collaboration diagram for clist< T >::node:
[legend]

## Public Member Functions

| node (T v, node *p, node *s)
T & | operator* ()
const T & | operator* () const

## Data Fields

node * | prev
node * | succ
T | value

## Detailed Description

template<class T>
struct clist< T >::node

Definition at line 36 of file clist.hh.

## Constructor & Destructor Documentation

## node()

template<class T>

clist< T >::node::node | ( | T | v,
|  | node * | p,
|  | node * | s )

inline

Definition at line 40 of file clist.hh.

References node(), prev, succ, and value.

Referenced by node().

## Member Function Documentation

## operator*() [1/2]

template<class T>

T & clist< T >::node::operator* | ( |  | ) |

inline

Definition at line 45 of file clist.hh.

References value.

## operator*() [2/2]

template<class T>

const T & clist< T >::node::operator* | ( |  | ) | const

inline

Definition at line 49 of file clist.hh.

References value.

## Field Documentation

## prev

template<class T>

node* clist< T >::node::prev

Definition at line 38 of file clist.hh.

Referenced by node(), clist< typename Polygon::value_type >::push_back(), and clist< typename Polygon::value_type >::remove().

## succ

template<class T>

node* clist< T >::node::succ

Definition at line 39 of file clist.hh.

Referenced by node(), clist< typename Polygon::value_type >::push_back(), and clist< typename Polygon::value_type >::remove().

## value

template<class T>

T clist< T >::node::value

Definition at line 37 of file clist.hh.

Referenced by node(), operator*(), and operator*().

The documentation for this struct was generated from the following file:

- clist.hh